Subject: Re: [PATCH] powerpc: make ioport_map() handle already mapped ranges

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 13 May 2007 11:46:04 +1000

> There is a global io space range for all buses, which is maintained
> by the reserve_phb_iospace() call. You should get your I/O ports in there
> if you want them to just work. Note that while the reserve_phb_iospace() 
> logic works in practice, it does have a few shortcomings that should
> eventually be resolved:

The solution is to use proper allocators for these.

As you pointed out on irc, it seems like the current __get_vm_area()
could match our needs. It might allow us to also get rid of imalloc.

I'll give that a go tomorrow.

Ben.